-if @data.blank?
  .panel.panel-default
    .panel-body
      %h4.text-danger= "Insufficient data for the selected report combination, Please choose a different combination"
-else
  - ['LL', 'MF', 'SF', 'SMF', 'MDF', 'LF'].each do |category|
    - cat_data = @data.select{|a| a.farmer.category.name == category}
    - unless cat_data.blank?
      .panel.panel-default
        .panel-body  
          %table.table.table-striped.table-bordered.table-hover
            %caption{:style => "border-bottom: 1px solid #eee"}
              %h4.text-primary{:style => "border-bottom: 1px solid #eee"}= "Economics of Live Stock - #{category}"
            %thead
              %tr
                %th Sl.No
                %th Particulars
                %th Dry Fodder Cost
                %th Green Fodder Cost
                %th Conc. Fodder Cost
                %th Other Expenses (Rs.)
                %th Labour cost (Rs.)
                %th Total Cost
                %th Manure Qty (t)
                %th Manure Price (Rs./ton)
                %th Yield (liters / animal /kg.)
                %th price / unit (Rs.)
                %th Gross Income (Rs.)
                %th B:C
                  
            %tbody
              - @live_stock_list = ['Sheep', 'Goat', 'Cow Local - Milch', 'Cow Crossbred - Milch', 'Buffalo - Milch', 'Bullock', 'Poultry', 'Piggery']
              - @live_stock_list.each_with_index do |live_stock, index|
                %tr
                  - sub_cat_data = cat_data.select{|a| a.name == live_stock}
                  - total = sub_cat_data.collect(&:total_number).sum
                  %td= index + 1
                  %td= live_stock

                  - dry = sub_cat_data.collect(&:dry_fodder_cost).sum
                  %td=  dry.blank? || total == 0 ? '' : (dry / total).round(2)

                  - green = sub_cat_data.collect(&:green_fodder_cost).sum
                  %td=  green.blank? || total == 0 ? '' : (green / total).round(2)

                  - conc = sub_cat_data.collect(&:conc_fodder_cost).sum
                  %td=  conc.blank? || total == 0 ? '' : (conc / total).round(2)

                  - other_expenses = sub_cat_data.collect(&:other_expenses).sum
                  %td=  other_expenses.blank? || total == 0 ? '' : (other_expenses / total).round(2)

                  - labour_cost = sub_cat_data.collect(&:labour_cost).sum
                  %td=  labour_cost.blank? || total == 0 ? '' : (labour_cost / total).round(2)

                  - total_income = total == 0 ? 0 : (dry + green + conc + other_expenses + labour_cost) / total
                  %td= total_income == 0 ? '' : (total_income).round(2)

                  - manure = sub_cat_data.collect(&:manure).sum
                  %td=  manure.blank? || total == 0 ? '' : (manure / total).round(2)

                  - manure_total_price = sub_cat_data.collect(&:manure_total_price).sum
                  %td=  manure_total_price.blank? || manure == 0 ? '' : (manure_total_price / manure).round(2)

                  - _yield = sub_cat_data.collect(&:yield).sum
                  %td=  _yield.blank? || total == 0 ? '' : (_yield / total).round(2)

                  - price_per_unit = sub_cat_data.collect(&:price_per_unit).sum
                  %td=  price_per_unit.blank? || total == 0 ? '' : (price_per_unit / total).round(2)

                  - gross_income = total== 0 ? 0 : ((manure / total) * (manure_total_price / manure)) + ((_yield / total) * (price_per_unit / total))
                  %td= gross_income == 0 ? '' : gross_income.round(2)

                  %td= total_income == 0 ? '' : (gross_income / total_income).round(2)


              